Page MenuHomePhabricator

[AArch64] -mcpu=native CPU detection for Cavium processors
ClosedPublic

Authored by steleman on Sep 11 2018, 10:21 AM.

Details

Summary

This small patch updates the CPU detection for Cavium processors when -mcpu=native was passed on compile-line.

Diff Detail

Repository
rL LLVM

Event Timeline

steleman created this revision.Sep 11 2018, 10:21 AM
joel_k_jones retitled this revision from -mcpu=native CPU detection for Cavium processors to [AArch64] -mcpu=native CPU detection for Cavium processors.Sep 20 2018, 3:16 PM
fhahn accepted this revision.Sep 20 2018, 3:53 PM
fhahn added a reviewer: kristof.beyls.
fhahn added a subscriber: fhahn.

LGTM. Could you please add a unittest similar to the one added in D40985?

This revision is now accepted and ready to land.Sep 20 2018, 3:53 PM

LGTM. Could you please add a unittest similar to the one added in D40985?

Yes, I will add a test case for T88/T99.

steleman updated this revision to Diff 167334.Sep 27 2018, 8:39 AM

Added unit test case for Cavium processors - T99 and T88.

fhahn accepted this revision.Sep 28 2018, 3:31 AM

Thanks!

This revision was automatically updated to reflect the committed changes.